/*================================
    Explorer Tree (Variables)
================================*/
@import "cockpitng-globals.scss";

$explorertree__vfiletree-icon--width: 10px;
$explorertree__vfiletree-icon-adjustment--margin-x: 3px;
$explorertree__vfiletree-item-indent-spacer--width: 10px;
$explorertree__vfiletree-item-label--padding: 3px 0 0 12px;
$explorertree__vfiletree-row--padding-y: 8px;
$explorertree__vfiletree-row--border-color: $grey__light--800;
$explorertree__vfiletree-row-cell--border: $boxes--border__thin solid $explorertree__vfiletree-row--border-color;
$explorertree__vfiletree-treebody--border: $boxes--border__thin solid $explorertree__vfiletree-row--border-color;
$explorertree__vfiletree-row-selected--color: $blue__default;


$explorertree__default--bg-color: $black__blueish--200;

$explorertree-light__default--bg-color: $white;
$explorertree-light__default-label--color: $black__blueish--200;


$explorertree__row--bg-color: $black;
$explorertree__row-l1--bg-color: transparent;
$explorertree__row-l2--bg-color: $black__blueish--100;
$explorertree__row-l3--bg-color: darken($black__blueish--100, 3%);

$explorertree-light__row--bg-color: $grey__light--1100; //for the deeper levels effectively
$explorertree-light__row-l1--bg-color: transparent; //$grey__light--500;
$explorertree-light__row-l2--bg-color: $grey__light--1200; //$grey__light--900;
$explorertree-light__row-l3--bg-color: mix($grey__light--1200, $grey__light--1100, 50%);

$explorertree-light__row--color: $explorertree-light__default-label--color;
$explorertree-light__row-hover--color: $explorertree-light__default-label--color;
$explorertree-light__row-first--box-shadow: inset 0px 2px 1px -1px $grey__light--1100;


$explorertree__treerow-default--color: $white;
$explorertree__treerow-hover--color: $blue__greyish--200;
$explorertree__treerow-selected--color: $blue__default;
$explorertree__treerow-focus--color: $blue__default--200;
$explorertree__treerow-highlighted--color: $blue__default;
$explorertree__treerow-hover--bg-color: transparent;
$explorertree__treerow-border--color: $grey__light--1100;
$explorertree__treerow-dragged--bg: $blue__light--200;
$explorertree__treerow-dragged--color: $blue__default--100;

$explorertree__treecell-padding--y: $container-spacing-default__semi-third;
$explorertree__treecell-arrow-color: $blue__greyish--400;


$explorertree__item--padding: 0 0 0 $container-spacing-default_two-thirds;
$explorertree__item-icon--size: 16px;
$explorertree__item-icon--margin-top: 6px;
$explorertree__item-icon--margin-right: 13px;
$explorertree__item-icon--left: -$explorertree__vfiletree-icon--width; // -(floor($explorertree__item-icon--size/2));

$explorertree__nested-plain-item-icon--left: 0;
$explorertree__nested-plain-item--margin-left: -$explorertree__vfiletree-icon--width;
$explorertree__nested-plain-item--padding-left: $explorertree__vfiletree-icon--width;


$explorerTree__toolbar--border-color: $grey__light--800;
$explorerTree__toolbar--border-bottom: $boxes--border__thin solid $explorerTree__toolbar--border-color;
$explorerTree__toolbar-actions--padding: floor(($globals__toolbar--height - $toolbar__vertical-centering-base--height) / 2);

$explorerTree__toolbar-action-selected-icon--border-width: $editor-defaults__action-button--border-width;
$explorerTree__toolbar-action-selected-icon--border-color: $editor-defaults__action-button-hover--border-color;

$explorertree-light__toolbar--border-color: $grey__light--700;


$explorertree__filter-box--padding: $container-spacing-default_two-thirds;

$_explorertree-light__filter-box--box-shadow: inset 3px 3px 6px -3px rgba($black, 0.2);

$explorertree__filter-input--color: $white;
$explorertree__filter-input--bg-color: transparent;
$explorertree__filter-input--border-color: rgba($white, 0.5);
$_explorertree__filter-input--border-right-width: $boxes--border__thin;
$explorertree__filter-input-focus--color: $black__blueish--100;
$explorertree__filter-input-focus--bg-color: rgba($white, .85);
$explorertree__filter-input-focus--border-color: $white;

$_explorertree__filter-button-icon--color: $grey__default--500;
$_explorertree__filter-button-icon-selected--color: $blue__default;
$_explorertree__filter-button-icon-hover--color: $blue__dark--400;

$explorertree-light__filter-input--color: $grey__light--800;
$explorertree-light__filter-input-placeholder--color: $black;
$explorertree-light__filter-input--border-color: $grey__light--800;
$explorertree-light__filter-input--bg-color: transparent; //$white;
$explorertree-light__filter-input-focus--color: $black__blueish--100;
$explorertree-light__filter-input-focus--border-color: $blue__default;
$explorertree-light__filter-input-focus--bg-color: $white;


$_explorerTree__filter-popup--transform: translateY($container-spacing-default__third / 2);
$_explorerTree__filter-popup--padding: ($container-spacing-default__third / 2) $container-spacing-default__third;
$_explorerTree__filter-popup-arrow--right: 8px;
$_explorerTree__filter-popup-arrow--bottom: 100%;
$_explorerTree__filter-popup-arrow--border-width: 7px 9px;
$_explorerTree__filter-popup-arrow--border-bottom-color: $white;
$_explorerTree__filter-popup-arrow-shadow--border-width: 8px 10px;
$_explorerTree__filter-popup-arrow-shadow--border-bottom-color: $grey__light--100;
$_explorerTree__filter-popup-arrow-shadow--margin: -$boxes--border__thin;
$_explorerTree__filter-popup-arrow-shadow--transform: translateY($_explorerTree__filter-popup-arrow-shadow--margin);